summaryrefslogtreecommitdiffstats
path: root/run_tests.sh
diff options
context:
space:
mode:
authorRick Harris <rick.harris@rackspace.com>2011-02-16 18:43:55 +0000
committerRick Harris <rick.harris@rackspace.com>2011-02-16 18:43:55 +0000
commit585ba4d6cf25eabf83b1b33a6de794ce671c0c98 (patch)
treec48a482f5445da573633e31ba46e2399ed77c442 /run_tests.sh
parentb89f3826a63440cd6a1008326c65287ba530cb05 (diff)
downloadnova-585ba4d6cf25eabf83b1b33a6de794ce671c0c98.tar.gz
nova-585ba4d6cf25eabf83b1b33a6de794ce671c0c98.tar.xz
nova-585ba4d6cf25eabf83b1b33a6de794ce671c0c98.zip
Putting glance plugin under pep8 control
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/run_tests.sh b/run_tests.sh
index 4e21fe945..6c7dd5f46 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -73,7 +73,11 @@ fi
if [ -z "$noseargs" ];
then
- run_tests && pep8 --repeat --show-pep8 --show-source --exclude=vcsversion.py bin/* nova setup.py || exit 1
+ PEP8_EXCLUDE=vcsversion.py
+ PEP8_OPTIONS="--exclude=$PEP8_EXCLUDE --repeat --show-pep8 --show-source"
+ # TODO(sirp): Put tests/ run_tests.py and all plugins/ under pep8 control
+ PEP8_INCLUDE="bin/* nova setup.py plugins/xenserver/xenapi/etc/xapi.d/plugins/glance"
+ run_tests && pep8 $PEP8_OPTIONS $PEP8_INCLUDE || exit 1
else
run_tests
fi